GuideLab API

Reorder tasks within a treatment phase

Bulk reorder the task list within a treatment phase by providing an ordered array of phase-task row IDs.

POST
/treatment-phases/{id}/tasks/reorder

Bulk reorder the task list within a treatment phase by providing an ordered array of phase-task row IDs.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Treatment phase ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/treatment-phases/550e8400-e29b-41d4-a716-446655440000/tasks/reorder" \  -H "Content-Type: application/json" \  -d '{    "phaseTaskIds": [      "string"    ]  }'
{  "success": true}
Empty
Empty
Empty
Empty